package example.cmp.relations.many2many;

import java.rmi.*;
import java.util.*;
import javax.ejb.*;

import java.util.*;

/**
 * Remote interface for a student instance.
 */
public interface Student extends EJBLocalObject {

  /**
   * Returns the student's name.
   */
  String getName();

  /**
   * Returns the student's house
   */
  Collection getCourseList();

  /**
   * Enrolls the <code>Student</code> in a <code>Course</code>.
   */
  void addCourse(Course course);

  /**
   * Drops the <code>Student</code> from a <code>Course</code>.
   */
  void removeCourse(Course course);

}
